% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/accessory.R
\name{cond_log2_transform_matrix}
\alias{cond_log2_transform_matrix}
\title{Apply log2 transformation on a matrix.}
\usage{
cond_log2_transform_matrix(
  matrix_data,
  should_log = NULL,
  threshold = 20,
  rmzeros = FALSE,
  small_value = 1
)
}
\arguments{
\item{matrix_data}{A matrix containing data.}

\item{should_log}{A boolean indicating if the log2 transformation should be applied.
If TRUE, log2 transformation is applied unconditionally.
If FALSE, no transformation is applied.
If NULL, a conditional transformation based on threshold is applied.}

\item{threshold}{A numeric threshold to determine if the matrix should be log-transformed.
This is only checked if should_log is NULL.}

\item{rmzeros}{A boolean indicating whether to remove zeros from the matrix. 
If TRUE, zeros are removed. Default is FALSE.}

\item{small_value}{A small value to add to zero entries before log transformation.}
}
\value{
A modified matrix.
}
\description{
Apply log2 transformation on a matrix.
}
\examples{
# Create a sample matrix
mat <- matrix(c(10, 0, 30, 0, 50, 60), ncol = 2)

# Use the function with different parameters
transformed_mat1 <- cond_log2_transform_matrix(mat, should_log = TRUE)
transformed_mat2 <- cond_log2_transform_matrix(mat, should_log = NULL, threshold = 40)
transformed_mat3 <- cond_log2_transform_matrix(mat, rmzeros = TRUE)
}
