% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/boxplot.R
\name{plotly_quartiles}
\alias{plotly_quartiles}
\title{Make a line-based alternative to boxplots}
\usage{
plotly_quartiles(
  matrix,
  labels = rownames(matrix),
  expressiontype = "expression",
  whisker_distance = 1.5,
  should_log = NULL
)
}
\arguments{
\item{matrix}{Numeric matrix}

\item{labels}{String vector of labels to be used for each matrix row}

\item{expressiontype}{Y axis label}

\item{whisker_distance}{IQR multiplier for whiskers, and beyond which to
show outliers (see \code{coef} in \code{\link[ggplot2]{geom_boxplot}})}

\item{should_log}{A boolean indicating if the log2 transformation should be applied.
If TRUE, log2 transformation is applied unconditionally.
If FALSE, no transformation is applied.
If NULL, a conditional transformation based on threshold is applied.}
}
\description{
Box-plots become unmanagable with large numbers of samples. This function
plots lines at the median, quartiles, and whiskers, plotting points for
outliers beyond that
}
\examples{
data(airway, package = "airway")
plotly_quartiles(assays(airway)[[1]], as(airway, "ExploratorySummarizedExperiment"))

}
